<?php
/*
Функция для фильтрации данных перед записью в базу
*/
function check($msg) {
$msg = mysql_real_escape_string(htmlspecialchars(stripslashes(trim($msg))));
return $msg;
} 
/*
Функция для преобразования данных в положительное целое число
*/
function num($msg) {
$msg = abs(intval($msg));
return $msg;
} 
function rez_text( $text, $maxwords = 10, $maxchar = 15 ){
$sep=' ';
$sep2=' &raquo;';
$words = explode($sep,$text);
$char = iconv_strlen($text,'utf-8');
if (count($words) > $maxwords){		$text = join($sep, array_slice($words, 0, $maxwords));
}
if ( $char > $maxchar ){
$text = iconv_substr( $text, 0, $maxchar, 'utf-8' );
}
return $text.$sep2;
}
?>